procedure TForm1.btnGetBlogContentsClick(Sender: TObject);
var
  WS: TSecureBlog;
  Last: Integer;
  Token: UsernameToken;
begin
  WS := TSecureBlog.Create;
  Token := UsernameToken.Create('Bob', 'Swart',
    PasswordOption.SendHashed);
  WS.RequestSoapContext.Security.Tokens.Add(Token);
  WS.RequestSoapContext.Security.Elements.Add(Signature.Create(Token));
  // token will remain part of the TSecureBlog instance in WS
  Last := WS.NumberOfPosts;
  if Last > 0 then
  try
    Memo1.Text := WS.GetPostContent(Last-1);
  except
    on E: Exception do
      Memo1.Text := E.Message
  end
  else
    Memo1.Text := 'Number of Posts = 0'
end;
