implementation
uses
  SecureBlog, InvokeRegistry;

{$R *.dfm}
procedure TForm1.btnGetBlogTitleClick(Sender: TObject);
var
  WS: TSecureBlogSoap;
  Last: Integer;
begin
  WS := GetTSecureBlogSoap;
  Last := WS.NumberOfPosts;
  if Last > 0 then
  try
    Memo1.Text := WS.GetPostTitle(Last-1)
  except
    on E: Exception do
      Memo1.Text := E.Message
  end
end;

procedure TForm1.btnGetBlogContentClick(Sender: TObject);
var
  WS: TSecureBlogSoap;
  Token: TBlogCredentials;
  Last: Integer;
begin
  WS := GetTSecureBlogSoap;
  Last := WS.NumberOfPosts;
  if Last > 0 then
  try
    Token := TBlogCredentials.Create;
    Token.Username := 'Bob';
    Token.Password := 'Swart'; // encrypt later
    (WS as ISOAPHeaders).Send(Token);
    Memo1.Text := WS.GetPostContent(Last-1)
  except
    on E: Exception do
      Memo1.Text := E.Message
  end
end;
