procedure TForm1.btnGetBlogContentsClick(Sender: TObject);
var
  WS: TSecureBlog;
  Last: Integer;
  RSA: RSACryptoServiceProvider;
begin
  WS := TSecureBlog.Create;
  Last := WS.NumberOfPosts;
  if Last > 0 then
  try
    WS.TBlogCredentialsValue := TBlogCredentials.Create;
    WS.TBlogCredentialsValue.Username := 'Bob';
    RSA := RSACryptoServiceProvider.Create;
    RSA.FromXmlString(WS.PublicKey);
    WS.TBlogCredentialsValue.Password := Convert.ToBase64String(
      RSA.Encrypt(System.Text.UTF8Encoding.UTF8.GetBytes('Swart'), false));
    Memo1.Text := WS.GetPostContent(Last-1);
  except
    on E: Exception do
      Memo1.Text := E.Message
  end
end;
